Novell is now a part of Micro Focus

Security update for xine-lib

Knowledgebase

(Last modified: 17NOV2004)


solutions Security update for xine-lib SuSE Linux Maintenance Web (549eaca3007324d608bbe05aeea0244c)

Applies to

Package: xine-lib
Product(s): Novell Linux Desktop 9 for x86
SLES SDK 9 for x86
SLES SDK 9 for IPF
SLES SDK 9 for IBM iSeries and IBM pSeries
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for IBM zSeries
SLES SDK 9 for X86-64

Release: 20041117
Obsoletes: none

Indications

Everyone using xine should update.

Contraindications

None.

Problem description

The developer team of the Xine video player released several patches to fix
buffer overflows that can be exploited by reading malformated VCDs or
DVDs. These buffer overflows can be exploited to execute arbitrary with the
privileges of the user running Xine.

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fvh xine-lib.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus